http
GET /api/data/v3/datasources/{datasetId}?part=core,permission HTTP/1.1
Host: {instance}.domo.com
X-DOMO-Developer-Token: {token}
Content-Type: application/jsoncurl --request GET \
--url https://{instance}.domo.com/api/data/v3/datasources/{datasetId} \
--header 'X-DOMO-Developer-Token: <api-key>'import requests
url = "https://{instance}.domo.com/api/data/v3/datasources/{datasetId}"
headers = {"X-DOMO-Developer-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-DOMO-Developer-Token': '<api-key>'}};
fetch('https://{instance}.domo.com/api/data/v3/datasources/{datasetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "dataset id",
"displayType": "webform",
"dataProviderType": "webform",
"type": "webform",
"name": "dataset name",
"owner": {
"id": "User id",
"name": "User name",
"type": "USER",
"group": false
},
"status": "SUCCESS",
"created": 1231234124,
"lastTouched": 1231421312,
"lastUpdated": 12341234412,
"rowCount": 2,
"columnCount": 3,
"streamId": 25222,
"permissions": "READ_WRITE_DELETE_SHARE_ADMIN"
}Get Metadata
Retrieves metadata for a specified dataset, including the dataset’s properties and optionally requested parts of the metadata
GET
/
api
/
data
/
v3
/
datasources
/
{datasetId}
http
GET /api/data/v3/datasources/{datasetId}?part=core,permission HTTP/1.1
Host: {instance}.domo.com
X-DOMO-Developer-Token: {token}
Content-Type: application/jsonAuthorizations
Developer token obtained from Domo
Path Parameters
The ID of the dataset
Query Parameters
Comma-separated list of metadata parts to include
Example:
"core,permission"
Response
200 - application/json
Dataset metadata
⌘I